Skip to content

List Pipelines

GET
/api/v1/pipelines/
curl --request GET \
--url 'https://example.com/api/v1/pipelines/?offset=0&limit=100&status=all&sort_by=updated_at&sort_order=desc&nexa_managed=true&enrich_with_live_state=false'

List pipelines with proper offset/limit pagination and optional live state enrichment.

offset
Offset

Number of records to skip for pagination

integer
0

Number of records to skip for pagination

limit
Limit

Maximum records to return

integer
default: 100 >= 1 <= 1000

Maximum records to return

status
Status

Filter by normalized status: all|failed|running|succeeded|canceled

string
default: all

Filter by normalized status: all|failed|running|succeeded|canceled

search
Any of:
string

Search in pipeline names or pipeline IDs

sort_by
Sort By

Sort by: name, updated_at, created_at, last_update_time

string
default: updated_at

Sort by: name, updated_at, created_at, last_update_time

sort_order
Sort Order

Sort order: asc, desc

string
default: desc

Sort order: asc, desc

nexa_managed
Any of:
boolean

Filter by Nexa-managed pipelines. Default true.

enrich_with_live_state
Enrich With Live State

Fetch live state from Databricks (default uses cached DB state)

boolean

Fetch live state from Databricks (default uses cached DB state)

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
PipelinesListResponse

List response aligned with jobs listing style.

object
pipelines
required
Pipelines
Array<object>
PipelineListItem

Lightweight pipeline info for list view (flattened).

object
pipeline_id
required
Pipeline Id
string
name
required
Name
string
state
Any of:
string
status
Any of:
string
last_update_state
Any of:
string
last_update_time
Any of:
Last Update Time
nexa_managed
Nexa Managed
boolean
pipeline_type
Any of:
string
target_catalog
Any of:
string
target_schema
Any of:
string
target_table
Any of:
string
serverless
Any of:
boolean
continuous
Any of:
boolean
key
additional properties
any
stats
required
PipelineDashboardStats
object
total_pipelines
required
Total Pipelines
integer
failed_pipelines
required
Failed Pipelines
integer
running_pipelines
required
Running Pipelines
integer
succeeded_pipelines
required
Succeeded Pipelines
integer
stale_pipelines
required
Stale Pipelines
integer
pipelines_needing_attention
required
Pipelines Needing Attention
integer
total_nexa_managed
required
Total Nexa Managed
integer
total_count
required
Total Count
integer
has_more
required
Has More
boolean
limit
required
Limit
integer
offset
required
Offset
integer
Example
{
"pipelines": [
{
"nexa_managed": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}